package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053153361_0_4982505822138592 implements fr.ifremer.isisfish.equation.PopulationMeanWeight {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 0: return 0.07;
    case 1: return 6.74;
    default: return 0;
  }

}
}
